Bug 1255619 - Failed to get journal fields: Cannot assign requested address
Summary: Failed to get journal fields: Cannot assign requested address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-21 08:03 UTC by Matej Habrnal
Modified: 2015-12-17 07:24 UTC (History)
8 users (show)

Fixed In Version: systemd-222-10.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-17 07:24:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1276563 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1276563

Description Matej Habrnal 2015-08-21 08:03:50 UTC
Description of problem:
After run the command "$ sudo journalctl _COMM=df", the error "Failed to get journal fields: Cannot assign requested address" is returned. On other Fedoras, for example Fedora 22, the "-- No entries --" string is returned.

Version-Release number of selected component (if applicable):
systemd-222-2.fc23.x86_64


How reproducible:
always

Steps to Reproduce:
1. run "$ sudo journalctl _COMM=df"

Actual results:
$ sudo journalctl _COMM=df
Failed to get journal fields: Cannot assign requested address
-- Logs begin at Mon 2015-08-17 13:42:28 CEST, end at Fri 2015-08-21 09:59:25 CEST. --

Expected results:
$ sudo journalctl _COMM=df
-- No entries --

Comment 1 Göran Uddeborg 2015-10-28 20:44:21 UTC
It doesn't have to be selection by filters.  This message comes for any search that doesn't return any messages.  E.g.

mimmi$ env LANG=en_US.utf8 journalctl --dmesg --since=21:40
Failed to get journal fields: Cannot assign requested address
-- Logs begin at Mon 2015-09-28 15:00:02 CEST, end at Wed 2015-10-28 21:42:46 CET. --

Comment 2 Jan Synacek 2015-10-29 07:47:50 UTC
Works upstream. I just have to dig out the patch.

Comment 4 Fedora Update System 2015-12-14 11:18:03 UTC
systemd-222-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765

Comment 5 Fedora Update System 2015-12-14 12:29:16 UTC
systemd-222-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765

Comment 6 Fedora Update System 2015-12-15 10:54:13 UTC
systemd-222-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update systemd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765

Comment 7 Fedora Update System 2015-12-17 07:23:29 UTC
systemd-222-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.